XmlModuleDescriptorUpdater
Date: 2014-12-13

org.apache.ivy.plugins.parser.xml

## Class XmlModuleDescriptorUpdater

- java.lang.Object
- - org.apache.ivy.plugins.parser.xml.XmlModuleDescriptorUpdater

-     public final class XmlModuleDescriptorUpdater
      extends java.lang.Object

  Used to update ivy files. Uses ivy file as source and not ModuleDescriptor to preserve as much as possible the original syntax

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `XmlModuleDescriptorUpdater.ConfigurationPrinter`
    `protected static class` | `XmlModuleDescriptorUpdater.DependencyPrinter`
    `protected static interface` | `XmlModuleDescriptorUpdater.ItemPrinter` Prints a descriptor item's XML representation

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LINE_SEPARATOR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `update(java.io.InputStream in, Resource res, java.io.File destFile, UpdateOptions options)`
    `static void` | `update(java.net.URL srcURL, java.io.File destFile, UpdateOptions options)` used to copy a module descriptor xml file (also known as ivy file) and update the revisions of its dependencies, its status and revision
    `static void` | `update(java.net.URL inStreamCtx, java.io.InputStream inStream, java.io.OutputStream outStream, UpdateOptions options)`
    `static void` | `update(java.net.URL srcURL, java.io.OutputStream destFile, UpdateOptions options)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LINE_SEPARATOR

          public static java.lang.String LINE_SEPARATOR

  - ### Method Detail

    - #### update

          public static void update(java.net.URL srcURL,
                    java.io.File destFile,
                    UpdateOptions options)
                             throws java.io.IOException,
                                    org.xml.sax.SAXException

      used to copy a module descriptor xml file (also known as ivy file) and update the revisions of its dependencies, its status and revision
      Parameters:
        `srcURL` - the url of the source module descriptor file
        `destFile` - The file to which the updated module descriptor should be output
      Throws:
        `java.io.IOException`
        `org.xml.sax.SAXException`

    - #### update

          public static void update(java.net.URL srcURL,
                    java.io.OutputStream destFile,
                    UpdateOptions options)
                             throws java.io.IOException,
                                    org.xml.sax.SAXException

      Throws:
        `java.io.IOException`
        `org.xml.sax.SAXException`

    - #### update

          public static void update(java.io.InputStream in,
                    Resource res,
                    java.io.File destFile,
                    UpdateOptions options)
                             throws java.io.IOException,
                                    org.xml.sax.SAXException

      Throws:
        `java.io.IOException`
        `org.xml.sax.SAXException`

    - #### update

          public static void update(java.net.URL inStreamCtx,
                    java.io.InputStream inStream,
                    java.io.OutputStream outStream,
                    UpdateOptions options)
                             throws java.io.IOException,
                                    org.xml.sax.SAXException

      Throws:
        `java.io.IOException`
        `org.xml.sax.SAXException`